/*******************************************************************************
* File: intercooler_bumps.pov                                                  *
* Author: William Scott Gammans                                                *
*                                                                              *
* This file creates the intercooler_bumps.bmp bitmap that is used in the       *
* normal bump map for the warp nacelle intercoolers in my Starship Enterprise  *
* POV-Ray model. RENDER THIS FILE IN ORTHOGRAPHIC 100 x 100.                   *
*                                                                              *
* "Star Trek", the "Starship Enterprise" and related marks are trademarks of   *
* Paramount Pictures Corporation. No infringement on the trademarks and copy-  *
* rights of Paramount Pictures Corporation is implied or intended.             *
*                                                                              *
* Permission is hereby given to use this POV-Ray scene file free of charge for *
* any NON-COMMERCIAL purpose, provided that credit is given to the author,     *
* William Scott Gammans. Commercial use is prohibited by the trademarks and    *
* copyrights of Paramount Pictures Corporation. Non-attributed use is just     *
* plain bad manners; your mother didn't raise you to be a thief.               *
*                                                                              *
* This original artwork copyright (c) 2002 by William Scott Gammans.           *
*                                                                              *
* Visit my website at http://www.scottgammans.com                              *
*                                                                              *
* Original USS Enterprise design by Matt Jeffries.                             *
*******************************************************************************/
#declare Y_Gradient_Texture = texture {
	gradient y
	texture_map {
		[0 pigment {color rgb 0.25} finish {ambient 1}]
		[1 pigment {color rgb 1.5} finish {ambient 1}]
	} 
	scale 2.5
}

#macro Pyramid(px,py,pz)
	intersection {
	   plane { < 1, 0,  0>, 1  rotate <  0, 0,  40>}
	   plane { <-1, 0,  0>, 1  rotate <  0, 0, -40>}
	   plane { < 0, 0,  1>, 1  rotate <-40, 0,   0>}
	   plane { < 0, 0, -1>, 1  rotate < 40, 0,   0>}
	   plane { <0, -1, 0>, 0 }
	   bounded_by {box {-2,2}}
	   translate <px,py,pz>
	}            
#end

#local col_count = -5;
#while (col_count <= 5)
	#local row_count = -5;
	#while (row_count <= 5)
		object {Pyramid(row_count,0,col_count) texture {Y_Gradient_Texture}}
		#local row_count = row_count + 2.5;		
	#end
	#local col_count = col_count + 2.5;
#end

camera {
	orthographic
	location y*200
	up y
	right x
	look_at y*175 
	angle 28
}
