/*******************************************************************************
* File: pylon_grille.pov                                                       *
* Author: William Scott Gammans                                                *
*                                                                              *
* This file creates the pylon_grille.bmp bitmap that is used in the            *
* texture map for the warp nacelle pylon grilles in my Starship Enterprise     *
* POV-Ray model. RENDER THIS FILE IN ORTHOGRAPHIC 100 x 100.                   *
*                                                                              *
* "Star Trek", the "Starship Enterprise" and related marks are trademarks of   *
* Paramount Pictures Corporation. No infringement on the trademarks and copy-  *
* rights of Paramount Pictures Corporation is implied or intended.             *
*                                                                              *
* Permission is hereby given to use this POV-Ray scene file free of charge for *
* any NON-COMMERCIAL purpose, provided that credit is given to the author,     *
* William Scott Gammans. Commercial use is prohibited by the trademarks and    *
* copyrights of Paramount Pictures Corporation. Non-attributed use is just     *
* plain bad manners; your mother didn't raise you to be a thief.               *
*                                                                              *
* This original artwork copyright (c) 2002 by William Scott Gammans.           *
*                                                                              *
* Visit my website at http://www.scottgammans.com                              *
*                                                                              *
* Original USS Enterprise design by Matt Jeffries.                             *
*******************************************************************************/

#declare Pylon_Grille_Hole = union {
	cylinder {<0,0,1.5>,<0,1,1.5>,1 pigment {color rgb 0}}	
	box {<1,0,1.5>,<-1,1,-1.5> pigment {color rgb 0}}	
	cylinder {<0,0,-1.5>,<0,1,-1.5>,1 pigment {color rgb 0}}	
}

#declare Pylon_Grille = union {

	object {Pylon_Grille_Hole translate <-6,0,-6>}
	object {Pylon_Grille_Hole translate <-6,0,0>}
	object {Pylon_Grille_Hole translate <-6,0,6>}

	object {Pylon_Grille_Hole translate <-3,0,-3>}
	object {Pylon_Grille_Hole}
	object {Pylon_Grille_Hole translate <-3,0,3>}

	object {Pylon_Grille_Hole translate <0,0,-6>}
	object {Pylon_Grille_Hole}
	object {Pylon_Grille_Hole translate <0,0,6>}

	object {Pylon_Grille_Hole translate <3,0,-3>}
	object {Pylon_Grille_Hole}
	object {Pylon_Grille_Hole translate <3,0,3>}

	object {Pylon_Grille_Hole translate <6,0,-6>}
	object {Pylon_Grille_Hole translate <6,0,0>}
	object {Pylon_Grille_Hole translate <6,0,6>}
} 

/*************************************************/

background {color rgb 1}

object {Pylon_Grille}

camera {     
	/*
	orthographic
	location <200,200,200>
	up y
	right x
	look_at 175
	angle 27
	*/
	///*
	orthographic
	location y*200
	up y
	right x
	look_at y*175 
	angle 27
	//*/
}
